exec ("./main-Vanilla.cs");

$B4v21Version = "3.17";


//v21 functions brought back to v20, applies to both client + server
function getColorI(%color)
{
    return getWord(%color,0)*255 SPC getWord(%color,1)*255 SPC getWord(%color,2)*255 SPC getWord(%color,3)*255;
}

function getColorF(%color)
{
    return getWord(%color,0)/255 SPC getWord(%color,1)/255 SPC getWord(%color,2)/255 SPC getWord(%color,3)/255;
}

function scheduleNoQuota(%a, %b, %c, %d, %e, %f, %g, %h, %i, %j, %k, %l, %m, %n, %o, %p) //doesnt actually bypass quotas...
{
	schedule(%a, %b, %c, %d, %e, %f, %g, %h, %i, %j, %k, %l, %m, %n, %o, %p);
}

function SimObject::scheduleNoQuota(%this, %time, %thing, %a, %b, %c, %d, %e, %f, %g, %h, %i, %j)
{
	%this.schedule(%time, %thing, %a, %b, %c, %d, %e, %f, %g, %h, %i, %j);
}

//i would guess the v21 function does not just do this. i dunno why this function exists otherwise though
function getBrickLimit()
{
	return $Pref::Server::BrickLimit;
}

////////////////////
//B4v21 Trust List//
////////////////////

//3.13
function getTrustNameByIndex(%index)
{
	if (%index == 0)
		return "NONE";
	else if (%index == 1)
		return "BUILD";
	else if (%index == 2)
		return "FULL";
	
	return "NONE";
}

function getTrustIndexByName(%name)
{
	if (%name $= "NONE")
		return 0;
	else if (%name $= "BUILD")
		return 1;
	else if (%name $= "FULL")
		return 2;
	
	return 0;
}

///////////////////////////
//B4v21 Crap-on'd add-ons//
///////////////////////////

//addons made redundant in v3.10 due to being added into base game scripts
$CrapOnName_["Client_FOVFix"] = 1;
$CrapOnName_["Client_B4v21Version"] = 1;
$CrapOnName_["Client_KeyRepeat"] = 1;
$CrapOnName_["Client_Quit_Button_Fix"] = 1;
$CrapOnName_["Client_Tutorial_Button_Fix"] = 1;
$CrapOnName_["Client_DownloadInfo"] = 1;
$CrapOnName_["Client_LoadingEscapeMenu"] = 1;
$CrapOnName_["Client_AdminGuiEdit"] = 1;
$CrapOnName_["Client_TabShiftingBrickSelector"] = 1;
$CrapOnName_["Client_OrbShift"] = 1;
$CrapOnName_["Client_MissionEditor"] = 1;
$CrapOnName_["Script_CustomMS"] = 1;
//3.12
$CrapOnName_["Client_WiderPlayerlist"] = 1;
$CrapOnName_["Client_PreserveMessage"] = 1;
//3.16
$CrapOnName_["Client_MapLightingFix"] = 1;
$CrapOnName_["Script_ClearSpam"] = 1;
$CrapOnName_["Support_PlayerPersistence"] = 1;